
/****************************************************************/
/* piewedge.c							                        */
/*                                                              */
/* HPGL - 30 degree incremental wedges filled with varying 		*/
/*		  fill types (patterns and shades) 						*/
/*																*/
/* Date : 9-28-89				          					    */
/****************************************************************/

#include <stdio.h>
#include <fcntl.h>

#define  XIN    8
#define	 YIN	8
#define  FACTOR  1

int description();

FILE *prn;

main()

{ /* beginning of main program */

/* initialization section */

float size;

float xsize, ysize, decipoint = 720;

prn = fopen("PRN","wb");

/* portrait printout */

fprintf(prn,"\33E");         			/* send an esc E to reset printer */

/* set up hpgl picture frame */

xsize = (XIN)*decipoint/FACTOR;
ysize = (YIN)*decipoint/FACTOR;

fprintf(prn,"\33*c%fx%fY"
			,xsize,ysize);		 	 	/* set pict. frame dimensions in decipnts */

fprintf(prn,"\33*c0T");  		 		/* enter picture frame anchor point */

										/*	plot size commands do not affect
										the picture frame scaling if not
										using plotter units (i.e. SC)	 */

/* enter hpgl mode */

fprintf(prn,"\33%1B");  				/* enter HPGL mode at current PCL position */

fprintf(prn,"IN"
			"SC0,100,0,100SP1PA0,0");	/* SCALE 100 X 100, MOVE PEN TO 0,0 */

fprintf(prn,"DT~,1");					/* define label terminator,~ and don't print */

fprintf(prn,"LO12"						/* label origin */
			"AD1,0,2,1,"				/* symbol set, proportional spacing */
			"4,15,5,1,"     			/* height, posture */
			"6,0,7,5"					/* weight, typeface */
			"SA");						/* select alternate font */

fprintf(prn,"PU50,55");					/* position pen */

fprintf(prn,"FT3");						/* fill type, parallel lines */

fprintf(prn,"WG25,0,30EP");				/* fill wedge, edge polygon */

fprintf(prn,"FT4");						/* fill type, crosshatch */

fprintf(prn,"WG25,30,30EP");			/* fill wedge, edge polygon */

fprintf(prn,"PU70,75");             	/* position pen for label */

fprintf(prn,"LBHP-GL/2 patterns~");		/* label */

fprintf(prn,"PU50,55");					/* return pen position */

fprintf(prn,"FT10,0");					/* fill type, shading, % */

fprintf(prn,"WG25,60,30EP");			/* fill wedge, edge polygon */

fprintf(prn,"FT10,25");					/* fill type, shading, % */

fprintf(prn,"WG25,90,30EP");			/* fill wedge, edge polygon */

fprintf(prn,"FT10,60");					/* fill type, shading, % */

fprintf(prn,"WG25,120,30EP");			/* fill wedge, edge polygon */

fprintf(prn,"FT10,100");				/* fill type, shading, % */

fprintf(prn,"WG25,150,30EP");			/* fill wedge, edge polygon */

fprintf(prn,"PU10,75");             	/* position pen for label */

fprintf(prn,"LBHP-GL/2 shading~");		/* label */

fprintf(prn,"PU50,55");					/* return pen position */

fprintf(prn,"FT21,1");					/* fill type, PCL pattern, # */

fprintf(prn,"WG25,180,30EP");			/* fill wedge, edge polygon */

fprintf(prn,"FT21,2");					/* fill type, PCL pattern, # */

fprintf(prn,"WG25,210,30EP");			/* fill wedge, edge polygon */

fprintf(prn,"FT21,3");					/* fill type, PCL pattern, # */

fprintf(prn,"WG25,240,30EP");			/* fill wedge, edge polygon */

fprintf(prn,"FT21,4");					/* fill type, PCL pattern, # */

fprintf(prn,"WG25,270,30EP");			/* fill wedge, edge polygon */

fprintf(prn,"FT21,5");					/* fill type, PCL pattern, # */

fprintf(prn,"WG25,300,30EP");			/* fill wedge, edge polygon */

fprintf(prn,"FT21,6");					/* fill type, PCL pattern, # */

fprintf(prn,"WG25,330,30EP");			/* fill wedge, edge polygon */

fprintf(prn,"PU40,25");             	/* position pen for label */

fprintf(prn,"LBPCL patterns~");			/* label */


fprintf(prn,"LO12"						/* label origin */
			"AD1,0,2,1,"				/* symbol set, proportional spacing */
			"4,25,5,1,"     			/* height, posture */
			"6,3,7,5"					/* weight, typeface */
			"SA");						/* select alternate font */

fprintf(prn,"PU10,15");             	/* position pen for label */

fprintf(prn,"LBSample Pie Chart "
			"Using HP-GL/2 Vectors~");	/* label */

fprintf(prn,"PU50,50");					/* return pen position */


fprintf(prn,"PU5,5");

fprintf(prn,"WU1PW1"        			/* PW units (relative), pen width */
			"EA95,95;");				/* rectangle (absolute) */

fprintf(prn,"\33%0A");  				/* enter PCL mode at previous CAP */


fprintf(prn,"\33*p2700Y");				/* vertical cursor position */

fprintf(prn,"\33(s1p12v1s0b4101T");		/* select 12 pt CG Times Italic */

fprintf(prn,"The HPGL picture"
			" frame size is "
			"%d by %d",XIN,YIN);

fprintf(prn,"\f");

}    /* Ending of the Main Program */




